> For the complete documentation index, see [llms.txt](https://docs.barte.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.barte.com/api-reference/pedidos-e-cobrancas/cobrancas/capturar-cobranca.md).

# Capturar Cobrança

## Capturar cobrança

> Captura uma cobrança previamente autorizada

```json
{"openapi":"3.0.0","info":{"title":"Barte Payment Service API - Charges","version":"2.0.0"},"servers":[{"url":"https://api.barte.com","description":"Servidor de Produção"},{"url":"https://sandbox-api.barte.com","description":"Servidor de Sandbox"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-Token-Api","description":"Token de autenticação para acesso à API"}},"schemas":{"CaptureRequest":{"type":"object","properties":{"value":{"type":"number","format":"double","description":"Valor a ser capturado (opcional, se não informado captura o valor total)"}}},"CaptureResponse":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid"},"title":{"type":"string"},"expirationDate":{"type":"string","format":"date"},"paidDate":{"type":"string","format":"date"},"value":{"type":"number","format":"double"},"paymentMethod":{"type":"string","enum":["CREDIT_CARD","DEBIT_CARD","PIX","BANK_SLIP","CREDIT_CARD_EARLY_SELLER","CREDIT_CARD_EARLY_BUYER"]},"status":{"type":"string","enum":["PENDING","AUTHORIZED","PAID","CANCELED","REFUNDED","PARTIALLY_REFUNDED","CHARGEBACK","EXPIRED","PRE_AUTHORIZED"]},"customer":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid"},"document":{"type":"string"},"type":{"type":"string","enum":["CPF","CNPJ"]},"name":{"type":"string"},"email":{"type":"string","format":"email"},"phone":{"type":"string"}}},"authorizationCode":{"type":"string","nullable":true},"authorizationNsu":{"type":"string"},"retryable":{"type":"boolean","description":"Se true: pode tentar novamente, continua pré-capturada, status volta PRE_AUTHORIZED. Se false: não pode tentar novamente, cancela pré-captura, status volta CANCELED."}}},"Error":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetail"}},"metadata":{"$ref":"#/components/schemas/Metadata"}}},"ErrorDetail":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"string","enum":["PAYMENT-0000","PAYMENT-0500","PAYMENT-9999","BAR-0300","BAR-0502","BAD_REQUEST","FORBIDDEN","METHOD_NOT_ALLOWED","NOT_ACCEPTABLE","UNSUPPORTED_MEDIA_TYPE","BAR-7001"]},"title":{"type":"string","enum":["BUSINESS_SELLER","BUSINESS_CHECKOUT","BUSINESS_COMMON","BUSINESS_SECURITY","BUSINESS_SUBSCRIPTION","INVALID_REQUEST_PARAM","BUSINESS_METRIC","BUSINESS_ACCOUNTANCY","BUSINESS_NOTIFICATION","BUSINESS_BARTE","BUSINESS_COMPANY","BUSINESS_INVOICE","BUSINESS_TRANSFER","BUSINESS_CARD","BUSINESS_ORDER","card_not_supported"]},"description":{"type":"string"},"action":{"type":"string"},"additionalInfo":{"type":"object","additionalProperties":{"type":"object"}}}},"Metadata":{"type":"object","properties":{"totalRecords":{"type":"integer"},"totalPages":{"type":"integer"},"requestDatetime":{"type":"string","format":"date-time"}}}}},"paths":{"/v2/charges/{uuid}/capture":{"post":{"summary":"Capturar cobrança","description":"Captura uma cobrança previamente autorizada","tags":["Cobranças"],"parameters":[{"name":"uuid","in":"path","required":true,"schema":{"type":"string","format":"uuid"},"description":"UUID da cobrança a ser capturada"},{"name":"X-Token-Api","in":"header","required":true,"schema":{"type":"string"},"description":"Token de autenticação para acesso à API"},{"name":"Content-Type","in":"header","required":false,"schema":{"type":"string","enum":["application/json"]},"description":"Tipo de conteúdo da requisição"},{"name":"x-idempotency-key","in":"header","required":false,"schema":{"type":"string"},"description":"Chave de idempotência"},{"name":"x-ip-origin-request","in":"header","required":false,"schema":{"type":"string"},"description":"IP de origem da requisição"}],"requestBody":{"required":false,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaptureRequest"}}}},"responses":{"200":{"description":"Cobrança capturada com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaptureResponse"}}}},"201":{"description":"Cobrança capturada com sucesso","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CaptureResponse"}}}},"202":{"description":"Requisição aceita para processamento"},"204":{"description":"Sem conteúdo"},"301":{"description":"Redirecionamento permanente"},"400":{"description":"Erro de validação","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Token inativo ou inexistente","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"403":{"description":"Acesso negado","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Cobrança não encontrada","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"429":{"description":"Muitas requisições","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Erro interno do servidor","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.barte.com/api-reference/pedidos-e-cobrancas/cobrancas/capturar-cobranca.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
